package com.zjrs.ggfw.dzsbk.dto;

import io.swagger.annotations.ApiModelProperty;
import jakarta.validation.constraints.NotBlank;

public class SignDTO implements java.io.Serializable {
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "渠道编号")
	private String channelNo;
	
	@ApiModelProperty(value = "系统名称")
    private String systemName;
    
    @ApiModelProperty(value = "签发号")
    private String signNo;
    
    @ApiModelProperty(value = "社会保障号码")
    private String aac002;
    
    @ApiModelProperty(value = "姓名")
    private String aac003;
    
    @ApiModelProperty(value = "行政区划")
    private String aab301;
    
    @ApiModelProperty(value = "手机号码")
    private String aac067;
    
    @ApiModelProperty(value = "独立认证标识")
    private String isIndep;
    
    @ApiModelProperty(value = "纯H5实现方案")
    private String isWeb;
    
    @ApiModelProperty(value = "调用部分native功能")
    private String isWebView;
    
    @ApiModelProperty(value = "是否有待遇认证资格")
    private String isAuthFace;
    
    @ApiModelProperty(value = "返回URL")
    @NotBlank(message = "返回URL不能为空")
    private String returnUrl;

	public String getChannelNo() {
		return channelNo;
	}

	public void setChannelNo(String channelNo) {
		this.channelNo = channelNo;
	}

	public String getSystemName() {
		return systemName;
	}

	public void setSystemName(String systemName) {
		this.systemName = systemName;
	}

	public String getSignNo() {
		return signNo;
	}

	public void setSignNo(String signNo) {
		this.signNo = signNo;
	}

	public String getAac002() {
		return aac002;
	}

	public void setAac002(String aac002) {
		this.aac002 = aac002;
	}

	public String getAac003() {
		return aac003;
	}

	public void setAac003(String aac003) {
		this.aac003 = aac003;
	}

	public String getAab301() {
		return aab301;
	}

	public void setAab301(String aab301) {
		this.aab301 = aab301;
	}

	public String getAac067() {
		return aac067;
	}

	public void setAac067(String aac067) {
		this.aac067 = aac067;
	}

	public String getIsIndep() {
		return isIndep;
	}

	public void setIsIndep(String isIndep) {
		this.isIndep = isIndep;
	}

	public String getIsWeb() {
		return isWeb;
	}

	public void setIsWeb(String isWeb) {
		this.isWeb = isWeb;
	}

	public String getIsWebView() {
		return isWebView;
	}

	public void setIsWebView(String isWebView) {
		this.isWebView = isWebView;
	}

	public String getIsAuthFace() {
		return isAuthFace;
	}

	public void setIsAuthFace(String isAuthFace) {
		this.isAuthFace = isAuthFace;
	}

	public String getReturnUrl() {
		return returnUrl;
	}

	public void setReturnUrl(String returnUrl) {
		this.returnUrl = returnUrl;
	}
}